### Hierarchy

- ContextualdataController

## Index

### Properties

- $compile_
- $scope_
- callback
- content_
- displayed
- gmfContextualDataOptions_
- gmfRaster_
- longPressTimeout_
- map
- ngeoAutoProjection
- options
- overlay_
- projections
- timeout_

### Methods

- handleMapContextMenu_
- handleMapTouchEnd_
- handleMapTouchStart_
- hidePopover
- init
- preparePopover_
- setContent_
- showPopover

## Properties

### $compile_

$compile_: ICompileService

- Defined in src/contextualdata/component.js:157

### $scope_

$scope_: IScope

- Defined in src/contextualdata/component.js:167

### callback

callback: ((arg0: Coordinate, arg1: unknown) => unknown)

- Defined in src/contextualdata/component.js:142

#### Type declaration

- - (arg0: Coordinate, arg1: unknown): unknown

  - #### Parameters

    - ##### arg0: Coordinate

    - ##### arg1: unknown

    #### Returns unknown

### content_

content_: HTMLElement

- Defined in src/contextualdata/component.js:321

### displayed

displayed: boolean

- Defined in src/contextualdata/component.js:137

### gmfContextualDataOptions_

gmfContextualDataOptions_: any

- Defined in src/contextualdata/component.js:177

### gmfRaster_

gmfRaster_: any

- Defined in src/contextualdata/component.js:172

### longPressTimeout_

longPressTimeout_: number

- Defined in src/contextualdata/component.js:152

### map

map: Map

- Defined in src/contextualdata/component.js:122

### ngeoAutoProjection

ngeoAutoProjection: AutoProjectionService

- Defined in src/contextualdata/component.js:182

### options

options: any

- Defined in src/contextualdata/component.js:127

### overlay_

overlay_: Overlay

- Defined in src/contextualdata/component.js:147

### projections

projections: Projection[]

- Defined in src/contextualdata/component.js:132

### timeout_

timeout_: ITimeoutService

- Defined in src/contextualdata/component.js:162

## Methods

### handleMapContextMenu_

- handleMapContextMenu_(event: UIEvent): void

- - Defined in src/contextualdata/component.js:249

  #### Parameters

  - ##### event: UIEvent

    Event.

  #### Returns void

### handleMapTouchEnd_

- handleMapTouchEnd_(): void

- - Defined in src/contextualdata/component.js:240

  #### Returns void

### handleMapTouchStart_

- handleMapTouchStart_(event: TouchEvent): void

- - Defined in src/contextualdata/component.js:231

  #### Parameters

  - ##### event: TouchEvent

    Event.

  #### Returns void

### hidePopover

- hidePopover(): void

- - Defined in src/contextualdata/component.js:350

  #### Returns void

### init

- init(): void

- - Defined in src/contextualdata/component.js:199

  Init

  #### Returns void

### preparePopover_

- preparePopover_(): void

- - Defined in src/contextualdata/component.js:308

  #### Returns void

### setContent_

- setContent_(coordinate: number[]): void

- - Defined in src/contextualdata/component.js:273

  #### Parameters

  - ##### coordinate: number[]

  #### Returns void

### showPopover

- showPopover(): void

- - Defined in src/contextualdata/component.js:338

  #### Returns void

Generated using TypeDoc